Retrieve the properties and relationships of an item object for Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET businesscentralPrefix/companies({id})/items({id})

Request headers

HeaderValue
AuthorizationBearer {token}. Required.

Request body

Don't supply a request body for this method.

Response

If successful, this method returns a 200 OK response code and an items object in the response body.

Example

Request

Here's an example of the request.

GET https://graph.microsoft.com/v2.0businesscentralPrefix/companies({id})/items({id})

Response

Here's an example of the response.

Note


The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "fca5738a-44e3-ea11-bb43-000d3a2feca1",
    "number": "1896-S",
    "displayName": "ATHENS Desk",
    "type": "Inventory",
    "itemCategoryId": "e21a6a90-44e3-ea11-bb43-000d3a2feca1",
    "itemCategoryCode": "TABLE",
    "blocked": false,
    "gtin": "",
    "inventory": 4,
    "unitPrice": 1000.8,
    "priceIncludesTax": false,
    "unitCost": 780.7,
    "taxGroupId": "9f196a90-44e3-ea11-bb43-000d3a2feca1",
    "taxGroupCode": "FURNITURE",
    "baseUnitOfMeasureId": "5ca6738a-44e3-ea11-bb43-000d3a2feca1",
    "baseUnitOfMeasureCode": "PCS",
    "lastModifiedDateTime": "2020-08-21T00:24:19.347Z"
}

Tips for working with the APIs
item
Delete item
Create item
Update item